classification
Title: Doc: Class statements and metaclass = xxx
Type: Stage:
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: eric.araujo, georg.brandl, terry.reedy
Priority: normal Keywords:

Created on 2009-09-16 23:53 by terry.reedy, last changed 2010-08-02 18:11 by georg.brandl. This issue is now closed.

Messages (2)
msg92733 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-09-16 23:53
For 3.x, I think 7.7 Class Definitions should mention the metaclass
keyword arg and cross-reference 3.3.3 Customizing class creation. Since
it is no longer a 'special' name, let alone a 'special method name',
there is no reason to know to look for it under that heading (I didn't
until I looked for 'metaclass' in the index, which I had to know to look
for, of course).

A possible sentence after "The class name is bound to this class object
in the original local namespace." (and before discussion of @classdeco)

"To modify this process, add 'metaclass = xxx' to the list of bases and
see CCustomizing class creation." with the last three words being a blue
link to 3.3.3.

2.x would need something a bit different, or just less ;-)
msg112505 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-02 18:11
Should be fixed in r83538.
History
Date User Action Args
2010-08-02 18:11:07georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg112505
2010-02-16 05:27:55eric.araujosetnosy: + eric.araujo
2009-09-16 23:53:47terry.reedycreate